Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 662326 - x11-drivers/xf86-video-virtualbox collides with x11-drivers/xf86-video-vboxvideo
Summary: x11-drivers/xf86-video-virtualbox collides with x11-drivers/xf86-video-vboxvideo
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Lars Wendler (Polynomial-C)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-28 08:06 UTC by Valerie
Modified: 2018-10-17 13:05 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge -pvq xf86-video-virtualbox (emerg -pvq.rtf,452 bytes, text/rtf)
2018-08-06 15:40 UTC, Valerie
Details
buildlog (buildlog.zip,97.04 KB, application/zip)
2018-08-06 15:41 UTC, Valerie
Details
emerge --info (Emerge info.rtf,5.82 KB, text/rtf)
2018-08-06 15:41 UTC, Valerie
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Valerie 2018-07-28 08:06:34 UTC
When trying to do an update of my Virtualbox Gentoo Guest, the x11-drivers/xf86-video-virtualbox crashes due to file collisions.

x11-drivers/xf86-video-virtualbox is still at version 5.1.36

-> upgraded to kernel 4.14.52
-> paste pound: x11-drivers/xf86-video crash log: 
https://paste.pound-python.org/show/pZVw8vM13jfJ0gx8WnIi/
-> paste pound: output of emerge -s virtualbox:
https://paste.pound-python.org/show/PRSPUHrVeECn5dV4tVvY/
Comment 1 Jonas Stein gentoo-dev 2018-08-06 11:09:16 UTC
Thank you for the report. Please recompile and *attach* the logfiles and 
paste the emerge info as described on
https://wiki.gentoo.org/wiki/Attach_the_logs_to_the_bug_ticket
The logs must be part of the ticket, but not on external websites.
Please reopen this ticket (Status:unconfirmed) afterwards.
Comment 2 Valerie 2018-08-06 15:40:49 UTC
Created attachment 542554 [details]
emerge -pvq xf86-video-virtualbox
Comment 3 Valerie 2018-08-06 15:41:36 UTC
Created attachment 542556 [details]
buildlog
Comment 4 Valerie 2018-08-06 15:41:58 UTC
Created attachment 542558 [details]
emerge --info
Comment 5 Valerie 2018-08-06 15:42:44 UTC
@Jonas Stein,

PFA, the requested log file(s) & emerge --info, as requested.

Kind regards,
Valerie
Comment 6 Pacho Ramos gentoo-dev 2018-09-27 12:40:45 UTC
I think that x11-drivers/xf86-video-virtualbox was obsoleted by x11-drivers/xf86-video-vboxvideo
Comment 7 Larry the Git Cow gentoo-dev 2018-10-17 13:05:37 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7cafac86170db96ca02ad062d9684bdfe7437c19

commit 7cafac86170db96ca02ad062d9684bdfe7437c19
Author:     Lars Wendler <polynomial-c@gentoo.org>
AuthorDate: 2018-10-17 12:59:27 +0000
Commit:     Lars Wendler <polynomial-c@gentoo.org>
CommitDate: 2018-10-17 13:05:26 +0000

    virtualbox packages: Removed old.
    
    Closes: https://bugs.gentoo.org/662326
    Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
    Package-Manager: Portage-2.3.51, Repoman-2.3.11
    Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>

 app-emulation/virtualbox-additions/Manifest        |   3 -
 .../virtualbox-additions-5.1.36-r1.ebuild          |  35 --
 .../virtualbox-additions-5.1.38.ebuild             |  35 --
 .../virtualbox-additions-5.2.16.ebuild             |  33 --
 app-emulation/virtualbox-bin/Manifest              |  12 -
 .../virtualbox-bin-5.1.36.122089.ebuild            | 287 -------------
 .../virtualbox-bin-5.1.38.122592.ebuild            | 287 -------------
 .../virtualbox-bin-5.2.16.123759.ebuild            | 287 -------------
 app-emulation/virtualbox-extpack-oracle/Manifest   |   3 -
 .../virtualbox-extpack-oracle-5.1.36.122089.ebuild |  42 --
 .../virtualbox-extpack-oracle-5.1.38.122592.ebuild |  42 --
 .../virtualbox-extpack-oracle-5.2.16.123759.ebuild |  42 --
 app-emulation/virtualbox-guest-additions/Manifest  |   4 -
 .../virtualbox-guest-additions-5.1.36.ebuild       | 219 ----------
 .../virtualbox-guest-additions-5.1.38.ebuild       | 219 ----------
 .../virtualbox-guest-additions-5.2.14.ebuild       |   2 -
 .../virtualbox-guest-additions-5.2.16.ebuild       | 234 ----------
 .../virtualbox-guest-additions-5.2.18.ebuild       |   2 -
 .../virtualbox-guest-additions-5.2.20.ebuild       |   2 -
 app-emulation/virtualbox-modules/Manifest          |   3 -
 .../virtualbox-modules-5.1.36.ebuild               |  60 ---
 .../virtualbox-modules-5.1.38.ebuild               |  56 ---
 .../virtualbox-modules-5.2.16.ebuild               |  51 ---
 app-emulation/virtualbox/Manifest                  |   4 -
 .../files/050_virtualbox-5.1.24-nopie.patch        | 158 -------
 .../files/virtualbox-5.1.4-paxmark-bldprogs.patch  |  59 ---
 app-emulation/virtualbox/virtualbox-5.1.36.ebuild  | 470 --------------------
 app-emulation/virtualbox/virtualbox-5.1.38.ebuild  | 470 --------------------
 app-emulation/virtualbox/virtualbox-5.2.16.ebuild  | 473 ---------------------
 x11-drivers/xf86-video-virtualbox/Manifest         |   2 -
 ...xf86-video-virtualbox-2.2.0-enable-opengl.patch |  13 -
 .../files/xf86-video-virtualbox-5-localconfig      |  30 --
 ...o-virtualbox-5.0.0_beta3-configure_checks.patch |  52 ---
 .../xf86-video-virtualbox-5.1.10-xorg119.patch     |  82 ----
 ...deo-virtualbox-5.1.24-Makefile.module.kms.patch |  13 -
 x11-drivers/xf86-video-virtualbox/metadata.xml     |   9 -
 .../xf86-video-virtualbox-5.1.36.ebuild            | 184 --------
 .../xf86-video-virtualbox-5.1.38.ebuild            | 184 --------
 38 files changed, 4163 deletions(-)